Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1754148 - [abrt] gnome-shell: meta_wayland_surface_ping(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_wayland_surface_ping(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonas Ådahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dbb4c9156bcfdcc14c8f1d5da78...
: 1756462 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-21 07:31 UTC by Jan Vlug
Modified: 2019-10-04 13:44 UTC (History)
6 users (show)

Fixed In Version: mutter-3.32.2-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-02 01:59:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: cgroup (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: core_backtrace (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: cpuinfo (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: dso_list (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: environ (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: exploitable (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: limits (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: maps (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: mountinfo (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: open_fds (deleted)
2019-09-21 07:31 UTC, Jan Vlug
no flags Details
File: proc_pid_status (deleted)
2019-09-21 07:32 UTC, Jan Vlug
no flags Details
File: var_log_messages (deleted)
2019-09-21 07:32 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2019-09-21 07:31:39 UTC
Description of problem:
I clicked on the icon of Thunderbird-wayland, that looked as if it was still running, while I just closed that application. The desktop froze for a moment, and then the gnome-shell crashed.

Version-Release number of selected component:
gnome-shell-3.32.2-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_surface_ping
executable:     /usr/bin/gnome-shell
journald_cursor: s=6199251215b14942af54aaaa3355add3;i=1fca;b=39017cf694a14499a07965a2e27be7dd;m=8527a7061;t=5930ae24fe023;x=e56c8610a7b21fe8
kernel:         5.2.15-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 0 (10 frames)
 #0 meta_wayland_surface_ping at ../src/wayland/meta-wayland-surface.c:1454
 #1 shell_app_activate_window at ../src/shell-app.c:439
 #3 shell_app_activate_full at ../src/shell-app.c:527
 #4 ffi_call_unix64 at ../src/x86/unix64.S:76
 #5 ffi_call at ../src/x86/ffi64.c:525
 #6 gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >, GIArgument*) at gi/function.cpp:1110
 #7 function_call(JSContext*, unsigned int, JS::Value*) at /usr/include/mozjs-60/js/RootingAPI.h:1090
 #8 js::CallJSNative(JSContext*, bool (*)(JSContext*, unsigned int, JS::Value*), JS::CallArgs const&) at /usr/src/debug/mozjs60-60.9.0-2.fc30.x86_64/dist/include/js/CallArgs.h:270
 #9 js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) at /usr/src/debug/mozjs60-60.9.0-2.fc30.x86_64/vm/Interpreter.cpp:416
 #10 js::CallFromStack(JSContext*, JS::CallArgs const&) at /usr/src/debug/mozjs60-60.9.0-2.fc30.x86_64/vm/Interpreter.cpp:2873

Comment 1 Jan Vlug 2019-09-21 07:31:43 UTC
Created attachment 1617368 [details]
File: backtrace

Comment 2 Jan Vlug 2019-09-21 07:31:45 UTC
Created attachment 1617369 [details]
File: cgroup

Comment 3 Jan Vlug 2019-09-21 07:31:47 UTC
Created attachment 1617370 [details]
File: core_backtrace

Comment 4 Jan Vlug 2019-09-21 07:31:48 UTC
Created attachment 1617371 [details]
File: cpuinfo

Comment 5 Jan Vlug 2019-09-21 07:31:50 UTC
Created attachment 1617372 [details]
File: dso_list

Comment 6 Jan Vlug 2019-09-21 07:31:51 UTC
Created attachment 1617373 [details]
File: environ

Comment 7 Jan Vlug 2019-09-21 07:31:52 UTC
Created attachment 1617374 [details]
File: exploitable

Comment 8 Jan Vlug 2019-09-21 07:31:54 UTC
Created attachment 1617375 [details]
File: limits

Comment 9 Jan Vlug 2019-09-21 07:31:56 UTC
Created attachment 1617376 [details]
File: maps

Comment 10 Jan Vlug 2019-09-21 07:31:57 UTC
Created attachment 1617377 [details]
File: mountinfo

Comment 11 Jan Vlug 2019-09-21 07:31:59 UTC
Created attachment 1617378 [details]
File: open_fds

Comment 12 Jan Vlug 2019-09-21 07:32:00 UTC
Created attachment 1617379 [details]
File: proc_pid_status

Comment 13 Jan Vlug 2019-09-21 07:32:02 UTC
Created attachment 1617380 [details]
File: var_log_messages

Comment 14 Jonas Ådahl 2019-09-21 10:11:49 UTC
Do you still have a core dump? (check with coredumpctl, it should say 'present' next to gnome-shell)

If so, can you run:

coredumpctl gdb <pid-of-crashed-gnome-shell>

then in gdb, run:

frame 1
print *window

and post here what it said.

Comment 15 Jan Vlug 2019-09-21 10:32:48 UTC
(gdb) frame 1
#1  0x00007f9c9f8d483b in shell_app_activate_window (timestamp=35738461, window=0x55f3f6a95700 [MetaWindowWayland], app=<optimized out>) at ../src/shell-app.c:439
439	        meta_window_activate (window, timestamp);
(gdb) print *window
$1 = {parent_instance = {g_type_instance = {g_class = 0x55f3f3fb9d40 [g_type: MetaWindowWayland/MetaWindow]}, ref_count = 3, qdata = 0x55f3f7a7bf21}, 
  display = 0x55f3f2d50000 [MetaDisplay], id = 3684899891, stamp = 4294967742, monitor = 0x0, workspace = 0x55f3f2aa8550 [MetaWorkspace], 
  client_type = META_WINDOW_CLIENT_TYPE_WAYLAND, surface = 0x0, xwindow = 0, frame = 0x0, depth = 24, xvisual = 0x0, desc = 0x55f3f7d09300 "W446", 
  title = 0x55f3f7d113b0 "Activity Manager", icon = 0x55f3f6029800, mini_icon = 0x55f3f6389640, type = META_WINDOW_NORMAL, res_class = 0x55f3f38972c0 "thunderbird", 
  res_name = 0x55f3f5809ff0 "thunderbird", role = 0x0, sm_client_id = 0x0, wm_client_machine = 0x0, startup_id = 0x0, mutter_hints = 0x0, sandboxed_app_id = 0x0, 
  gtk_theme_variant = 0x0, gtk_application_id = 0x0, gtk_unique_bus_name = 0x0, gtk_application_object_path = 0x0, gtk_window_object_path = 0x0, 
  gtk_app_menu_object_path = 0x0, gtk_menubar_object_path = 0x0, net_wm_pid = -1, xtransient_for = 0, xgroup_leader = 0, xclient_leader = 0, transient_for = 0x0, 
  initial_workspace = 0, initial_timestamp = 0, override_redirect = 0, maximized_horizontally = 0, maximized_vertically = 0, 
  maximize_horizontally_after_placement = 0, maximize_vertically_after_placement = 0, minimize_after_placement = 0, tile_mode = META_TILE_NONE, saved_maximize = 0, 
  tile_monitor_number = -1, edge_constraints = {top = META_EDGE_CONSTRAINT_NONE, right = META_EDGE_CONSTRAINT_NONE, bottom = META_EDGE_CONSTRAINT_NONE, 
    left = META_EDGE_CONSTRAINT_NONE}, tile_hfraction = -1, preferred_output_winsys_id = 4294967359, shaded = 0, fullscreen = 0, urgent = 0, fullscreen_monitors = {
    top = 0x0, bottom = 0x0, left = 0x0, right = 0x0}, require_fully_onscreen = 1, require_on_single_monitor = 1, require_titlebar_visible = 1, 
  on_all_workspaces = 0, on_all_workspaces_requested = 0, minimized = 0, tab_unminimized = 0, mapped = 1, hidden = 0, visible_to_compositor = 0, 
  known_to_compositor = 0, pending_compositor_effect = 4, iconic = 0, initially_iconic = 0, initial_workspace_set = 0, initial_timestamp_set = 0, 
  net_wm_user_time_set = 1, icon_geometry_set = 0, input = 1, mwm_decorated = 1, mwm_border_only = 0, mwm_has_close_func = 1, mwm_has_minimize_func = 1, 
  mwm_has_maximize_func = 1, mwm_has_move_func = 1, mwm_has_resize_func = 1, decorated = 0, border_only = 0, always_sticky = 0, has_close_func = 1, 
  has_minimize_func = 1, has_maximize_func = 1, has_shade_func = 0, has_move_func = 1, has_resize_func = 1, has_fullscreen_func = 1, skip_taskbar = 0, 
  skip_pager = 0, wm_state_above = 0, wm_state_below = 0, wm_state_demands_attention = 0, has_focus = 1, placed = 1, denied_focus_and_not_transient = 0, 
  showing_for_first_time = 0, unmanaging = 1, constructing = 0, is_in_queues = 0, keys_grabbed = 0, grab_on_frame = 0, all_keys_grabbed = 0, withdrawn = 0, 
  calc_placement = 0, shaken_loose = 0, have_focus_click_grab = 0, disable_sync = 0, attached = 0, is_remote = 0, restore_focus_on_map = 0, frame_bounds = 0x0, 
  shape_region = 0x0, opaque_region = 0x0, input_region = 0x0, opacity = 255 '\377', extended_sync_request_counter = 0, struts = 0x0, sync_request_counter = 0, 
  sync_request_serial = 0, sync_request_wait_serial = 0, sync_request_timeout_id = 0, sync_request_alarm = 0, unmaps_pending = 0, stable_sequence = 447, 
  net_wm_user_time = 35738461, user_time_window = 0, has_custom_frame_extents = 0, custom_frame_extents = {left = 26, right = 0, top = 23, bottom = 0}, rect = {
    x = 50, y = 50, width = 1081, height = 716}, saved_rect = {x = 0, y = 0, width = 0, height = 0}, unconstrained_rect = {x = 50, y = 50, width = 1081, 
    height = 716}, buffer_rect = {x = 24, y = 27, width = 1133, height = 768}, icon_geometry = {x = 0, y = 0, width = 0, height = 0}, size_hints = {flags = 976, 
    x = 0, y = 0, width = 0, height = 0, min_width = 216, min_height = 60, max_width = 2147483647, max_height = 2147483647, width_inc = 1, height_inc = 1, 
    min_aspect = {x = 1, y = 2147483647}, max_aspect = {x = 2147483647, y = 1}, base_width = 0, base_height = 0, win_gravity = 1}, layer = META_LAYER_NORMAL, 
  stack_position = -1, close_dialog = 0x0, group = 0x0, compositor_private = 0x0, attached_focus_window = 0x0, tile_match = 0x0, bypass_compositor = 0, 
  placement_rule = 0x0, placement_state = META_PLACEMENT_STATE_UNCONSTRAINED, constrained_placement_rule_offset_x = 0, constrained_placement_rule_offset_y = 0, 
  unmanage_idle_id = 0}

Comment 16 Jonas Ådahl 2019-09-27 19:10:16 UTC
*** Bug 1756462 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Update System 2019-09-27 19:33:07 UTC
FEDORA-2019-1ab1d59320 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ab1d59320

Comment 18 Fedora Update System 2019-09-28 01:21:15 UTC
mutter-3.32.2-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ab1d59320

Comment 19 Fedora Update System 2019-10-02 01:59:56 UTC
mutter-3.32.2-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.